Back

FAQ

Does your data require a specific version of PGP?

No. We use Professional Desktop, but it's not required. There are requirements for the encryption key generated by the software—size: 1024 (Versions 9.8 and higher may require the size to be entered twice: 1024/1024) or 2048; expiration: Never; Cipher: IDEA or AES-256; Hash: default.

Also Found On